Subject: [dtn-interest] Review of draft-irtf-dtnrg-dgram-clayer-00

From: David Ros <[email-masked]>
Date: Thu, 17 Jan 2013 15:05:43 +0100

Hi,

This is the IRSG review of draft-irtf-dtnrg-dgram-clayer-00 as per RFC 5743. This reviewer has only superficial knowledge of DTN and the Bundle and LTP protocols, hence, comments are essentially editorial.

The document describes the use of two datagram-based transport layer protocols, UDP and DCCP, for encapsulating and carrying Bundle and LTP protocol data over the Internet. The document is clear and easy to read.

Remarks / Nits:

- Some RFC 5743-required text is missing, e.g.:

	-- A statement in the abstract identifying the document as a product of the RG.
	-- A paragraph near the beginning (for example, in the introduction) describing the level of RG support for publication.

- The two following sentences seem to be in contradiction with each other:

	-- "the Bundle Protocol described in RFC 5050 [RFC5050], which
   provides __reliable__ transmission of application data blocks" (Section 1)

	and

	-- "the Bundle Protocol offers
   neither congestion control __nor reliability__" (Section 2, par. 2)

	(emphasis added)

- I suggest writing the expression "98%**10" in page 4 as "0.98**10" instead.

- Section 3.1: the acronym "CL" is used without prior (explicit) definition. Even if it's clear from the context what CL means, it wouldn't hurt to spell it out explicitly the first time it appears.

- Section 3.2: I guess it'd be better to write "Bundle" (uppercase B) when talking about the protocol itself? If so, this should be fixed in a few other places (e.g., Section 3.2.1).

- Section "Acknowledgements" is empty.

- Typos:

	-- page 3: /s/it's own/its own
	-- page 4: /s/ segements/segments
	-- page 6: /s/every LTP segments/every LTP segment
	-- page 7: /s/it's way/its way
	-- page 7: /s/it's behavior/its behavior
	-- page 8: /s/its resources/their resources

Best regards,

David.

=================================================================
David ROS
http://www.rennes.enst-bretagne.fr/~dros/

Deadlines really start to press a week or two after they pass. -- John Perry